Get participant by identifier key and value
GET
/workspaces/{workspaceId}/conversations/{conversationId}/participants/{identifierKey}/{identifierValue}
Retrieve a single conversation participant by specifying their identifier key and value. For more information on identifier keys and values, please refer to the "Conversation Participants" page.
Corps de la réponse
avatarUrl
string
contact
object
Afficher les attributs enfants
contact.identifierKey
string
obligatoire
contact.identifierValue
string
obligatoire
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
obligatoire
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
obligatoire
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Exemple de code
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants/{identifierKey}/{identifierValue}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'Examples
Exemple de code
curl "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/02ec2ac2-ebec-42d3-a5f4-e6f3a9edf418/participants/emailaddress/john.doe@bird.com" \
-H "Authorization: AccessKey abcd"Exemple de code
{
"id": "8f0b5377-2edc-4116-a8e8-6a475f245a04",
"type": "contact",
"status": "active",
"displayName": "John Doe",
"avatarUrl": "",
"contact": {
"identifierKey": "emailaddress",
"identifierValue": "john.doe@bird.com",
"platformAddress": "john.doe@bird.com"
}
}